Skip to Content
API ReferenceTestPOST /invocation_create

POST /test/invocation_create

Create Invocation Endpoint

Create an invocation within a test.

Request Body (CreateInvocationApiRequest)

FieldTypeRequiredDescription
test_idstringYes—
invocation_idstringNo—
titlestringNo—
use_custombooleanNo—
positionintegerNo—
agent_idsstring[]No—
rubric_idsstring[]No—
quality_idsstring[]No—
department_idsstring[]No—
voice_idsstring[]No—
reasoning_level_idsstring[]No—
temperature_level_idsstring[]No—
modality_idsstring[]No—
idempotency_keystringNoIdempotency key — replays the prior call instead of re-running

Response (CreateInvocationApiResponse)

FieldTypeRequiredDescription
invocation_idstringYesUUID of the created test invocation
Last updated on